Page MenuHomePhabricator

Tool "wikidata-timeline" loads Google Analytics
Closed, ResolvedPublic

Description

http://tools.wmflabs.org/wikidata-timeline: http://www.google-analytics.com/analytics.js
http://tools.wmflabs.org/wikidata-timeline: https://www.google-analytics.com/analytics.js
http://tools.wmflabs.org/wikidata-timeline: http://www.google-analytics.com/r/collect?v=1&_v=j56&a=1826137149&t=pageview&_s=1&dl=http%3A%2F%2Ftools.wmflabs.org%2Fwikidata-timeline%2F&dp=%2Fnew&ul=en-us&de=UTF-8&dt=Wikidata%20Timeline&sd=24-bit&sr=1366x768&vp=400x300&je=0&fl=26.0%20r0&_u=IEBAAEABI~&jid=695270870&gjid=470073322&cid=614217102.1501433203&tid=UA-12233698-3&_gid=1944887879.1501433203&_r=1&z=1146048018
http://tools.wmflabs.org/wikidata-timeline: https://www.google-analytics.com/r/collect?v=1&_v=j56&a=1826137149&t=pageview&_s=1&dl=http%3A%2F%2Ftools.wmflabs.org%2Fwikidata-timeline%2F&dp=%2Fnew&ul=en-us&de=UTF-8&dt=Wikidata%20Timeline&sd=24-bit&sr=1366x768&vp=400x300&je=0&fl=26.0%20r0&_u=IEBAAEABI~&jid=695270870&gjid=470073322&cid=614217102.1501433203&tid=UA-12233698-3&_gid=1944887879.1501433203&_r=1&z=1146048018

Loading from external providers are discouraged. Please see parent tasks and J65.

Is Google Analytics required for the operation of the tool?

Event Timeline

Restricted Application added subscribers: PokestarFan, Aklapper. · View Herald TranscriptAug 9 2017, 11:53 PM

Unfortunately I won't be able to address this until halfway through September; I will provide input then. Sorry for the delay!

cdrini added a comment.Nov 2 2017, 8:29 PM

Hi @zhuyifei1999 ! Sorry for the even longer delay; I should be able to fix this late next week. Google Analytics is not required, but it's useful to see what features/types of searches are popular, and how many users this tool gets on a regular basis (spoiler: not many :P). Although not required, the data from Google Analytics can be used to improve the tool. Has there been any consideration for providing an in-house alternative? There are a few open source analytics programs (I think most notably piwik) which can be hosted locally.

This tool sees so little traffic that I'll remove Google Analytics regardless, but just curious to know :)

Has there been any consideration for providing an in-house alternative?

I don't think there is a toolforge in-house alternative, but you may want to implement your own.

cdrini added a comment.Nov 2 2017, 9:14 PM

Sounds good! I'm not sure if I'll get the time, but I'll do some research when I work on this task and open a new task for community input depending on what I find. Thanks for your help!

cdrini closed this task as Resolved.Dec 11 2017, 8:05 PM

Alright, Google Analytics was removed; sorry for the delay again! Feel free to re-open if you notice any other issues.

https://github.com/cdrini/wikidata-timeline/commit/ab6e7f893c92864b2e844891961a9c2eae2b0499